# Uses of Interface
writer2latex.api.ConverterResult

Packages that use ConverterResult
Package
Description
writer2latex.api
writer2latex.base
writer2latex.epub

## Uses of ConverterResult in writer2latex.api

Methods in writer2latex.api that return ConverterResult
Modifier and Type
Method
Description
`ConverterResult`
Converter.`convert(File source, String sTargetFileName)`
Convert a document
`ConverterResult`
Converter.`convert(InputStream is, String sTargetFileName)`
Convert a document
`ConverterResult`
Converter.`convert(Document dom, String sTargetFileName, boolean bDestructive)`
Convert a document

## Uses of ConverterResult in writer2latex.base

Classes in writer2latex.base that implement ConverterResult
Modifier and Type
Class
Description
`class`
`ConverterResultImpl`
`ConverterResultImpl` is a straightforward implementation of `ConverterResult`
Methods in writer2latex.base that return ConverterResult
Modifier and Type
Method
Description
`ConverterResult`
ConverterBase.`convert(File source, String sTargetFileName)`
`ConverterResult`
ConverterBase.`convert(InputStream is, String sTargetFileName)`
`ConverterResult`
ConverterBase.`convert(Document dom, String sTargetFileName, boolean bDestructive)`

## Uses of ConverterResult in writer2latex.epub

Methods in writer2latex.epub that return ConverterResult
Modifier and Type
Method
Description
`ConverterResult`
EPUB3Converter.`convert(InputStream is, String sTargetFileName)`
`ConverterResult`
EPUB3Converter.`convert(Document dom, String sTargetFileName, boolean bDestructive)`
`ConverterResult`
EPUBConverter.`convert(InputStream is, String sTargetFileName)`
`ConverterResult`
EPUBConverter.`convert(Document dom, String sTargetFileName, boolean bDestructive)`
Constructors in writer2latex.epub with parameters of type ConverterResult
Modifier
Constructor
Description
``
`EPUBWriter(ConverterResult xhtmlResult, String sFileName, int nVersion, XhtmlConfig config)`
Create a new `EPUBWriter` based on a `ConverterResult`.
``
`NavigationWriter(ConverterResult cr)`
``
`NCXWriter(ConverterResult cr, String sUUID)`
``
`OPFWriter(ConverterResult cr, String sFileName, int nVersion, XhtmlConfig config)`